<template>
  <v-row>
    <v-col cols="12" class="pb-0">
      <p class="text-h5">Login GIBZ App</p>
    </v-col>
  </v-row>
  <v-row>
    <v-col>
      <p class="text-body-1">
        Die Anmeldung für die GIBZ App erfolgt mit dem M365-Account des GIBZ.
      </p>
      <p class="text-body-1">
        Lernende, Lehrpersonen und Mitarbeitende können sich mit der
        persönlichen E-Mail Adresse des GIBZ anmelden.
      </p>
    </v-col>
  </v-row>
  <v-row justify="center">
    <v-col cols="auto" justify-content="center" class="mb-5">
      <v-btn prepend-icon="mdi-microsoft" @click="loginWithMicrosoft365"
        >Anmelden mit M365</v-btn
      >
    </v-col>
  </v-row>
</template>

<script lang="ts" setup>
const route = useRoute("/login");

function loginWithMicrosoft365() {
  const returnUrl = route.query.ReturnUrl?.toString();
  window.location.href =
    "/v1/login/microsoft?returnUrl=" + encodeURIComponent(returnUrl ?? "");
}
</script>
